//
//  main.cpp
//  testXXTEA
//
//  Created by Yuming on 12-11-24.
//  Copyright (c) 2012年 Yuming. All rights reserved.
//

#include <iostream>
#include "XXTEA.h"

int main(int argc, const char * argv[])
{
    char srcBuffer[] = "hello world! 你好！";
    size_t length = XXTEA::XXTEAGetBufferLength(strlen(srcBuffer) + 1, true);
    char* encodeBuffer = new char[length];
    XXTEA_TYPE key[4] = {0x12345678, 0x734a67fc, 0x3367a642, 0x78432562};
    XXTEA::XXTEAEncode(encodeBuffer, srcBuffer, strlen(srcBuffer) +1, key);
    printf("encodeBuffer: %s\r\n", encodeBuffer);
    char* decodeBuffer =  new char[XXTEA::XXTEAGetBufferLength(length, false)];
    XXTEA::XXTEADecode(decodeBuffer, encodeBuffer, length, key);
    printf("decodeBuffer: %s\r\n", decodeBuffer);
    delete encodeBuffer;
    delete decodeBuffer;
    
    return 0;
}

